#!/bin/bash

kversion=`uname -r`

echo  "Generate driver for Marvell PCI-X to Serial ATA adapters - kernel version ${kversion}."
for targetDir in 'DebugFull' 'DebugError' 'Free'; do
    case $targetDir in
           DebugFull)   logLevel=-DMV_LOG_DEBUG ;;
           DebugError)  logLevel=-DMV_LOG_ERROR ;;
           Free)  logLevel="" ;;
    esac
    mkdir -p ./../build/Linux/${targetDir}
    make clean
    echo "Compiling ${targetDir}..."
    make "EXTERNAL_CFLAGS=${logLevel}" copy "DEST_DIR=./../build/Linux/${targetDir}"
    if [  $? -ne 0 ] ; then
            echo "make failed"
            exit 1
    fi
done







